# boring-mind-machine

![boring mind machine comic](img/boring.jpg)

**boring mind machine** is a set of boring base classes for building awesome bot flocks.

Other mind machine libraries utilize the **boring mind machine** library's
classes as a starting point for implementing bot flocks.

For example, **rainbow mind machine** utilizes the TwitterKeymaker class
defined in this library; **embarcadero mind machine** utilizes the
GithubKeymaker class; and so on.

## All the shields

![latest prime number version](https://img.shields.io/badge/latest--prime--number--version-7-blue.svg)

![tests-passing](https://img.shields.io/badge/tests-passing-green.svg)
[![works on my machine](https://img.shields.io/badge/works-on_my_machine-blue.svg)](https://img.shields.io/badge/works-on_my_machine-green.svg)
[![documentation at pages.charlesreid1.com](https://img.shields.io/website-up-down-green-red/https/pages.charlesreid1.com.svg)](https://pages.charlesreid1.com/boring-mind-machine)

![PyPI version boringmindmachine](https://badge.fury.io/py/boringmindmachine.svg)
![PyPI license](https://img.shields.io/pypi/l/boringmindmachine.svg)
![PyPI implementation](https://img.shields.io/pypi/implementation/boringmindmachine.svg)

[![cthulhu](https://img.shields.io/badge/Ph'nglui%20mglw'nafh%20Cthulhu%20R'lyeh%20wgah'nagl%20fhtagn-m'latgh%20gnaiih%20Nyarlathotep%20geb%20Tsathoggua%20bug-blue.svg)](http://www.hplovecraft.com/writings/texts/fiction/cc.aspx)


## Links

boring mind machine (bmm) links:

* [bmm source code on Github](https://github.com/rainbow-mind-machine/boring-mind-machine)
* [bmm documentation](https://pages.charlesreid1.com/boring-mind-machine/)
* [rainbow mind machine organization on Github](https://github.com/rainbow-mind-machine)

releases:

* [bmm releases on Github](https://github.com/rainbow-mind-machine/boring-mind-machine/releases)
* [bmm on pypi](https://pypi.org/project/boringmindmachine/)
* [bmm on dockerhub](https://hub.docker.com/r/rainbowmindmachine/boringmindmachine/)


## Pages

[About the Mind Machine Framework](mind-machine-docs/about.md) - general
information about the mind machine framework (how does it work? what does it
look like?)

[About Boring Mind Machine](about.md) - about the boring mind machine library
(what is it? what does it do?)

[Installing](installing.md) - installation instructions (how do I install bmm?)

[Quick Start](quickstart.md) - quick start instructions for getting started
with boring mind machine base classes (how do I run bmm?)

Documentation for components implemented in boring mind machine:

* Keymakers:
    * [bmm.BoringKeymaker](bmm_keymaker.md)
    * [bmm.BoringOAuthKeymaker](bmm_keymaker.md)
    * [bmm.GithubKeymaker](bmm_keymaker_github.md)
    * [bmm.GoogleKeymaker](bmm_keymaker_google.md)
    * [bmm.TwitterKeymaker](bmm_keymaker_twitter.md)
* [bmm.BoringShepherd](bmm_shepherd.md)
* [bmm.BoringSheep](bmm_sheep.md)

[Future Work and Ideas](future.md) (what's next for boring mind machine?)

[Credits](credits.md)

[Contributing](contributing.md)

[Developer Notes](mind-machine-docs/dev.md) - notes on processes for developers
(how do I run tests, update packages/images, build documentation, etc.?)

